Package org.eclipse.ecf.remoteservice

# Class RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration

java.lang.Object
org.eclipse.ecf.remoteservice.RemoteServiceRegistrationImpl
org.eclipse.ecf.remoteservice.RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration

All Implemented Interfaces:
  `Serializable`, `IExtendedRemoteServiceRegistration`, `IRemoteServiceRegistration`

Enclosing class:
  RSARemoteServiceContainerAdapter

public class RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration extends RemoteServiceRegistrationImpl implements IExtendedRemoteServiceRegistration

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.ecf.remoteservice.RemoteServiceRegistrationImpl

`clazzes, properties, reference, REGISTERED, registrationListener, registrationLock, remoteServiceID, serviceranking, state, UNREGISTERED, UNREGISTERING`

## Constructor Summary

Constructors
Constructor
Description
`RSARemoteServiceRegistration()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getExtraProperties()`
`void`
`publish(RemoteServiceRegistryImpl reg, Object svc, String[] clzzes, Dictionary props)`
`void`
`unregister()`
Unregister this service

### Methods inherited from class org.eclipse.ecf.remoteservice.RemoteServiceRegistrationImpl

`callService, createProperties, equals, getClasses, getClassLoader, getContainerID, getID, getInterfaces, getProperty, getPropertyKeys, getReference, getService, getServiceId, getTypesForParameters, hashCode, setClassLoader, setProperties, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteServiceRegistration

`getClassLoader, getContainerID, getID, getProperty, getPropertyKeys, getReference, setProperties`

## Constructor Details

### RSARemoteServiceRegistration

public RSARemoteServiceRegistration()

## Method Details

### publish

public void publish(RemoteServiceRegistryImpl reg, Object svc, String[] clzzes, Dictionary props)

Overrides:
  `publish` in class `RemoteServiceRegistrationImpl`

### unregister

public void unregister()
Description copied from interface: `IRemoteServiceRegistration`
Unregister this service

Specified by:
  `unregister` in interface `IRemoteServiceRegistration`
Overrides:
  `unregister` in class `RemoteServiceRegistrationImpl`

### getExtraProperties

public Map<String,Object> getExtraProperties()

Specified by:
  `getExtraProperties` in interface `IExtendedRemoteServiceRegistration`
Returns:
  A `Dictionary` of properties not intended to be used for service advertisement.